For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
      • GETList all Events
      • GETRetrieve an Event
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceEvents

List all Events

GET
https://api.withpersona.com/api/v1/events
GET
/api/v1/events
$curl https://api.withpersona.com/api/v1/events \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "evt_ABC123",
5 "attributes": {
6 "name": "inquiry.expired",
7 "payload": {
8 "data": {
9 "type": "inquiry",
10 "id": "inq_ABC123",
11 "attributes": {}
12 }
13 },
14 "created-at": "2023-09-23T17:14:01.918Z"
15 },
16 "type": "event"
17 },
18 {
19 "id": "evt_ABC123",
20 "attributes": {
21 "name": "account.tag-added",
22 "payload": {
23 "data": {
24 "type": "account",
25 "id": "act_ABC123",
26 "attributes": {}
27 }
28 },
29 "created-at": "2023-09-23T00:46:41.877Z"
30 },
31 "type": "event"
32 }
33 ],
34 "links": {
35 "prev": "/api/v1/events?page%5Bbefore%5D=evt_ABC123",
36 "next": "/api/v1/events?page%5Bafter%5D=evt_ABC123"
37 }
38}
Returns a list of your organization's events. Results are returned in reverse chronological order, with the most recently created objects first.
Was this page helpful?
Previous

Retrieve an Event

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

pageobjectOptional
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
filterobjectOptional

Response

This endpoint returns a collection of Event objects.
datalist of objects
An array of Events
linksobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.